#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-06-17; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.installer.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.installer
# SPDX-Security-Contact: security@coresecret.eu

guard_sourcing

#######################################
# Print-colored text.
# Globals:
#   NL
#   RES
#   WHI
# Arguments:
#   1: Color code.
#   *: Text to print.
#######################################
color_echo() {
  declare c="$1"
  shift
  declare msg="${*}"
  printf "%b[INFO]%b%b %s %b%b" "${c}" "${RES}" "${MAG}" "${msg}" "${RES}" "${NL}" | tee -a "${VAR_DIALOG}"
}

#######################################
# Print the current module in plain or colorful format.
# Globals:
#   GRE
#   VAR_AUTO_INSTALL
# Arguments:
#   1: Modulname
#######################################
info_echo() {
  declare module="$1"
  if ! "${VAR_AUTO_INSTALL}"; then
    echo "MAIN PROGRAM SEQUENCE: ${module} ..."
  else
    color_echo "${GRE}" "MAIN PROGRAM SEQUENCE: ${module} ..."
  fi
}
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
